package com.example.smartumbrellav3;

import android.content.Intent;
import android.os.Bundle;
import android.widget.ImageButton;
import androidx.appcompat.app.AppCompatActivity;

public class SettingActivity extends AppCompatActivity {
    ImageButton button20;
    ImageButton button21;
    ImageButton button22;
    ImageButton button23;
    ImageButton button25;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.mysetting);


        button20 = findViewById(R.id.button20);
        button21 = findViewById(R.id.button21);
        button22 = findViewById(R.id.button22);
        button23 = findViewById(R.id.button23);
        button25 = findViewById(R.id.button25);

        button20.setOnClickListener(view -> {
            Intent i = new Intent(SettingActivity.this, ControllableActivity.class);
            startActivity(i);});
        button21.setOnClickListener(view -> {
            Intent i = new Intent(SettingActivity.this, UserslistActivity.class);
            startActivity(i); });
        button22.setOnClickListener(view -> {
            Intent i = new Intent(SettingActivity.this, SignUpActivity.class);
            startActivity(i); });
        button23.setOnClickListener(view -> {
            Intent i = new Intent(SettingActivity.this, BasketActivity.class);
            startActivity(i); });
        button25.setOnClickListener(view -> {
            Intent i = new Intent(SettingActivity.this, AboutActivity.class);
            startActivity(i); });
}}